Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.struts.util
Class EmptyHttpServletResponseWrapper

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          javax.servlet.http.HttpServletResponseWrapper
              org.apache.portals.bridges.struts.util.EmptyHttpServletResponseWrapper

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

public class EmptyHttpServletResponseWrapper
extends javax.servlet.http.HttpServletResponseWrapper

EmptyHttpServletResponseWrapper

Version:
  $Id: EmptyHttpServletResponseWrapper.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Ate Douma

Field Summary

Fields inherited from class javax.servlet.ServletResponseWrapper
``

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`EmptyHttpServletResponseWrapper(javax.servlet.http.HttpServletResponse response)`

Method Summary
`void` | `addCookie(javax.servlet.http.Cookie cookie)`
`void` | `addDateHeader(String s, long l)`
`void` | `addHeader(String s, String s1)`
`void` | `addIntHeader(String s, int i)`
`boolean` | `containsHeader(String s)`
`String` | `encodeRedirectUrl(String s)`
`String` | `encodeRedirectURL(String s)`
`String` | `encodeUrl(String s)`
`String` | `encodeURL(String s)`
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`String` | `getCharacterEncoding()`
`String` | `getContentType()`
`Locale` | `getLocale()`
`javax.servlet.ServletOutputStream` | `getOutputStream()`
`PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `sendError(int i)`
`void` | `sendError(int i, String s)`
`void` | `sendRedirect(String s)`
`void` | `setBufferSize(int i)`
`void` | `setCharacterEncoding(String charset)`
`void` | `setContentLength(int i)`
`void` | `setContentType(String s)`
`void` | `setDateHeader(String s, long l)`
`void` | `setHeader(String s, String s1)`
`void` | `setIntHeader(String s, int i)`
`void` | `setLocale(Locale locale)`
`void` | `setStatus(int i)`
`void` | `setStatus(int i, String s)`

Methods inherited from class javax.servlet.http.HttpServletResponseWrapper
``

Methods inherited from class javax.servlet.ServletResponseWrapper
`getResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyHttpServletResponseWrapper

    public EmptyHttpServletResponseWrapper(javax.servlet.http.HttpServletResponse response)

Method Detail

### addCookie

    public void addCookie(javax.servlet.http.Cookie cookie)

### addDateHeader

    public void addDateHeader(String s,
                              long l)

### addHeader

    public void addHeader(String s,
                          String s1)

### addIntHeader

    public void addIntHeader(String s,
                             int i)

### containsHeader

    public boolean containsHeader(String s)

### encodeRedirectUrl

    public String encodeRedirectUrl(String s)

### encodeRedirectURL

    public String encodeRedirectURL(String s)

### encodeUrl

    public String encodeUrl(String s)

### encodeURL

    public String encodeURL(String s)

### flushBuffer

    public void flushBuffer()
                     throws IOException

  Throws:
    `IOException`

### getBufferSize

    public int getBufferSize()

### getCharacterEncoding

    public String getCharacterEncoding()

### getContentType

    public String getContentType()

### getLocale

    public Locale getLocale()

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws IOException

  Throws:
    `IOException`

### getWriter

    public PrintWriter getWriter()
                          throws IOException

  Throws:
    `IOException`

### isCommitted

    public boolean isCommitted()

### reset

    public void reset()

### resetBuffer

    public void resetBuffer()

### sendError

    public void sendError(int i)
                   throws IOException

  Throws:
    `IOException`

### sendError

    public void sendError(int i,
                          String s)
                   throws IOException

  Throws:
    `IOException`

### sendRedirect

    public void sendRedirect(String s)
                      throws IOException

  Throws:
    `IOException`

### setBufferSize

    public void setBufferSize(int i)

### setCharacterEncoding

    public void setCharacterEncoding(String charset)

### setContentLength

    public void setContentLength(int i)

### setContentType

    public void setContentType(String s)

### setDateHeader

    public void setDateHeader(String s,
                              long l)

### setHeader

    public void setHeader(String s,
                          String s1)

### setIntHeader

    public void setIntHeader(String s,
                             int i)

### setLocale

    public void setLocale(Locale locale)

### setStatus

    public void setStatus(int i)

### setStatus

    public void setStatus(int i,
                          String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.